### Hierarchy

- XmlAttributeComponent<object>
  - TabAttributes

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- prepForXml
- set

## Constructors

### constructor

- new TabAttributes(properties: object): TabAttributes

- Inherited from XmlAttributeComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:9

  #### Parameters

  - ##### properties: object

  #### Returns TabAttributes

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlAttributeComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

  #### Returns IXmlableObject

### set

- set(properties: object): void

- Inherited from XmlAttributeComponent.set

  - Defined in file/xml-components/default-attributes.ts:28

  #### Parameters

  - ##### properties: object

  #### Returns void

Generated using TypeDoc